import revolt
import asyncio
import os

from commandHandler import commandHandler


class Client(revolt.Client):
    async def on_message(self, message: revolt.Message) -> None:
        commandHandler(message, debug=os.environ.get("debug"))


async def main():
    revolt_token: str | None = os.environ.get("REVOLTTOKEN")

    if not revolt_token:
        raise Exception("no REVOLTTOKEN environment variable")

    async with revolt.utils.client_session() as revolt_session:
        revolt_client: Client = Client(
            session=revolt_session,
            token=revolt_token
        )

        await revolt_client.start()

if __name__ == "__main__":
    asyncio.run(main())
